/*******************************************************************************
 *                 Eagle Technology - Cape Town, South Africa
 *             Copyright (C) 2004 - 2005 - All Rights Reserved!
 *                 www.eagledaq.com - eagle@eagle.co.za
 *******************************************************************************
 *
 * caldac.h -- calibration D/A interface header file
 *
 *******************************************************************************
 *                              LICENSE AGREEMENT
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 ******************************************************************************/

#ifndef _CALDAC_H_
#define _CALDAC_H_

#define CALDAC_DELAY 2 /* 2 us */
#define CALDAC_LOW 0xff0fffff
#define CALDAC_CLK 0x00100000
#define CALDAC_PR 0x00200000
#define CALDAC_LD 0x00400000
#define CALDAC_SDI 0x00800000

struct CALDAC_t
{
	spinlock_t lock;
	void *control;
};
#define pCALDAC_t struct CALDAC_t*

void caldac_init( pCALDAC_t pcaldac, void *control);
long caldac_write( pCALDAC_t pcaldac, unsigned char position,
		   unsigned char value);
void caldac_writebit( pCALDAC_t pcaldac, unsigned char value);
void caldac_enable( pCALDAC_t pcaldac);
void caldac_disable( pCALDAC_t pcaldac);
void caldac_loaddata( pCALDAC_t pcaldac);

#endif /*_CALDAC_*/
/**
 * End of File
 */

