/*******************************************************************************
 *                 Eagle Technology - Cape Town, South Africa
 *             Copyright (C) 2004 - 2005 - All Rights Reserved!
 *                 www.eagledaq.com - eagle@eagle.co.za
 *******************************************************************************
 *
 * counter.h -- counter-timer header file
 *
 *******************************************************************************
 *                              LICENSE AGREEMENT
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 ******************************************************************************/

#ifndef _COUNTER_H_
#define _COUNTER_H_

#define CNT_MODE_PULSE	0
#define CNT_MODE_TOGGLE	1
#define CNT_SRC_20MHZ 0
#define CNT_SRC_100KHZ 1
#define CNT_SRC_EXT 2
#define CNT_STATUS_IDLE 0
#define CNT_STATUS_BUSY 1
#define CNT_IRQ_DISABLED 0
#define CNT_IRQ_ENABLED 1


struct CNT_t
{
	spinlock_t lock;
	void *control;
	void *data;
	unsigned char index;
	unsigned char status;
	unsigned char mode;
	unsigned char clksrc;
	unsigned char irq;
	unsigned long count;
	unsigned long value;
	unsigned long lastcfg;
};
#define pCNT_t struct CNT_t*

void cnt_init( pCNT_t pcnt, unsigned char index, void *control, void *data );
unsigned long cnt_read( pCNT_t pcnt );
void cnt_write( pCNT_t pcnt, unsigned long val );
long cnt_configure( pCNT_t pcnt, unsigned char clocksource, unsigned char mode,
		    unsigned char irq );
void cnt_enable( pCNT_t pcnt );
void cnt_disable( pCNT_t pcnt );
void cnt_update( pCNT_t pcnt );
long cnt_isbusy( pCNT_t pcnt );

#endif /*_COUNTER_H*/
/**
 * End of File
 */
