/*******************************************************************************
 *                 Eagle Technology - Cape Town, South Africa
 *             Copyright (C) 2004 - 2005 - All Rights Reserved!
 *                 www.eagledaq.com - eagle@eagle.co.za
 *******************************************************************************
 *
 * eeprom.h -- Eeprom interface header file
 *
 *******************************************************************************
 *                              LICENSE AGREEMENT
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 ******************************************************************************/

#ifndef _EEPROM_H_
#define _EEPROM_H_

#define EE_OFFSET		0x00000500l
#define EE_LOW			0xfff0ffffl
#define EE_CLK			0x00010000l
#define EE_CS			0x00020000l
#define EE_DI			0x00040000l
#define EE_DO			0x00080000l
#define EE_SIZE			64

struct Eeprom_t
{
	void *control;
	unsigned char cs;
	unsigned char clk;
	unsigned char _di;
	unsigned char _do;
};
#define pEeprom_t struct Eeprom_t*

void ee_init( pEeprom_t pee, void *control );
long ee_write( pEeprom_t pee, unsigned short position, unsigned short value );
long ee_read( pEeprom_t pee, unsigned short position );
void ee_update( pEeprom_t pee );
void ee_clk( pEeprom_t pee );
void ee_enable( pEeprom_t pee );
void ee_clkhi( pEeprom_t pee );
void ee_clklo( pEeprom_t pee );
void ee_waitforend( pEeprom_t pee );
void ee_writeenable( pEeprom_t pee );
void ee_disable( pEeprom_t pee );
unsigned char ee_readbit( pEeprom_t pee );
void ee_writebit( pEeprom_t pee, unsigned char value );

#endif /*_EEPROM_H_*/
/**
 * End of File
 */


