/*******************************************************************************
 *                 Eagle Technology - Cape Town, South Africa
 *             Copyright (C) 2004 - 2005 - All Rights Reserved!
 *                 www.eagledaq.com - eagle@eagle.co.za
 *******************************************************************************
 *
 * pci703.h -- main header file
 *
 *******************************************************************************
 *                              LICENSE AGREEMENT
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 ******************************************************************************/

#ifndef _PCI703_H_
#define _PCI703_H_

#define MAX_DEVICES 4
#define DEFAULT_WATERLEVEL 512
#define DOUBLE_BUFFER_SIZE 8192
#define DABUFFERSIZE 4096
#define DMASIZE 4096
#define ADC_FIFO_DEPTH 4096

struct DeviceInfo_t {
	unsigned long serialnumber;
	unsigned short boardtype;
	unsigned short revision;
	unsigned short year, month, day;
	unsigned short adcchan, dacchan, diochan, cntchan, miochan;
	unsigned long adcfreq, dacfreq;
};
#define pDeviceInfo_t struct DeviceInfo_t*

struct DigitalIO_t {
	unsigned short setup;
	unsigned short value;
	unsigned char channels;
	unsigned char width;
};
#define pDigitalIO_t struct DigitalIO_t*

struct DblBuffer_t {
	void *data;
	unsigned short size;
};
#define pDblBuffer_t struct DblBuffer_t*

struct BoardDevice_t {
	spinlock_t lock;
	struct pci_dev *pci_device;
	struct class_device *clsdev;
	int minor;
	wait_queue_head_t wq;
	unsigned long intsreceived;
	unsigned int intwait;
	unsigned int intline;
	unsigned long inttrigsrc;
	unsigned int index;
	unsigned int installed;
	unsigned int membase0;
	void* ptrmem0;
	unsigned int membase1;
	void* ptrmem1;
	struct ADC_t	adc;
	struct DAC_t dac[2];
	struct CNT_t cnt[3];
	struct Irq_t irq;
	struct DigitalIO_t dio[2];
	struct DeviceInfo_t devinfo;
	struct Eeprom_t eeprom;
	struct CALDAC_t caldac;
	struct DblBuffer_t dblbuffer;
	struct kref kref;
};
#define pBoardDevice_t struct BoardDevice_t*

#endif /*_PCI703_H_*/

/**
 * End of File
 */
