/*******************************************************************************
 *                 Eagle Technology - Cape Town, South Africa
 *             Copyright (C) 2004 - 2005 - All Rights Reserved!
 *                 www.eagledaq.com - eagle@eagle.co.za
 *******************************************************************************
 *
 * isr.h -- Interrupt Service Routine header file
 *
 *******************************************************************************
 *                              LICENSE AGREEMENT
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 ******************************************************************************/

#ifndef _ISR_H_
#define _ISR_H_

#define IRQ_STATUS_IDLE 0
#define IRQ_STATUS_BUSY 1

#define INT_SRC_CT0 0x00000008
#define INT_SRC_CT1 0x00000010
#define INT_SRC_CT2 0x00000020
#define INT_SRC_CTALL ( INT_SRC_CT0 | INT_SRC_CT1 | INT_SRC_CT2 )

#define INT_SRC_FIFO 0x00000200

int irq_enable( pBoardDevice_t pdev );
void irq_disable( pBoardDevice_t pdev );
#endif /*_ISR_H_*/
/**
 * End of File
 */
