/*******************************************************************************
 *                 Eagle Technology - Cape Town, South Africa
 *             Copyright (C) 2004 - 2005 - All Rights Reserved!
 *                 www.eagledaq.com - eagle@eagle.co.za
 *******************************************************************************
 *
 * pci730inc.h -- PCI730 Definitiom File
 *
 *******************************************************************************
 *                              LICENSE AGREEMENT
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 ******************************************************************************/
#ifndef _PCI730_INC_H_
#define _PCI730_INC_H_

/**
 * PCI730 Register Offsets
 */
typedef enum
{
	PCI730_REG_ADC_LIST = 0x00000000,
	PCI730_REG_AD_SETUP = 0x00000040,
	PCI730_REG_AD_FIFO = 0x00000044,
	PCI730_REG_AD_CT = 0x00000048,
	PCI730_REG_AD_WATERMARK = 0x0000004C,
	PCI730_REG_DAC_CONTROL = 0x00000050,
	PCI730_REG_CT_CFG = 0x00000060,
	PCI730_REG_CT_OFFSET = 0x00000070,
	PCI730_REG_DIO_OFFSET = 0x00000080,
	PCI730_REG_EEPROM = 0x00000090,
} PCI730_REGISTERS;

/**
 * Gate Modes
 */
typedef enum
{
	CT_DISABLE = 0,
	CT_ENABLE = 1,
} GATE_MODES;

/**
 *General
 */
typedef enum
{
    DISABLE	=	0,
    ENABLE	=	1,
} CONTROL;

/**
 * Configuration Modes
 */
typedef enum
{
	CMD_LATCH = 0,
	CMD_RW_LSB = 1,
	CMD_RW_MSB = 2,
	CMD_RW_LSBMSB = 3,
} CONFIG_COMMANDS;

#endif /*_PCI730_INC_H_*/
/**
 * End of File
 */




