/*******************************************************************************
 *                 Eagle Technology - Cape Town, South Africa
 *             Copyright (C) 2004 - 2005 - All Rights Reserved!
 *                 www.eagledaq.com - eagle@eagle.co.za
 *******************************************************************************
 *
 * buffer.h -- Buffer manager header file
 *
 *******************************************************************************
 *                              LICENSE AGREEMENT
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 ******************************************************************************/
#ifndef _BUFFER_H_
#define _BUFFER_H_ 
 
struct Buffer_t
{
	spinlock_t lock;
	unsigned short *data;
	unsigned short waterlevel;
	unsigned long size;
	unsigned long head;
	unsigned long tail;
	unsigned long samples;
	unsigned long wrap;
	unsigned char underrun;
	void *regsram;
};
#define pBuffer_t struct Buffer_t*

void buffer_init( pBuffer_t pbuf, unsigned long BufferSize, void *RegSRam );
void buffer_uninit( pBuffer_t pbuf );
void buffer_reset( pBuffer_t pbuf );
long buffer_getspace( pBuffer_t pbuf );
long buffer_fillfifo( pBuffer_t pbuf );
long buffer_updatefifo( pBuffer_t pbuf );
long buffer_adddata( pBuffer_t pbuf, unsigned char *buffer, unsigned long length );
unsigned short buffer_uvtobin( long uv );
long buffer_getstatus( pBuffer_t pbuf );
long buffer_testfifo( pBuffer_t pbuf );

#endif /*_BUFFER_H_*/
/**
 * End of File
 */
