/*******************************************************************************
 *                 Eagle Technology - Cape Town, South Africa
 *             Copyright (C) 2004 - 2005 - All Rights Reserved!
 *                 www.eagledaq.com - eagle@eagle.co.za
 *******************************************************************************
 *
 * ct.h -- Counter / Timer Interface source file
 *
 *******************************************************************************
 *                              LICENSE AGREEMENT
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 ******************************************************************************/
#include "stdinc.h"
#include "ct.h"
 
void ct_init( pCounter_t pCt, void *RegConfig, void *RegMode, void *RegCount )
{
	pCt->regcfg = RegConfig;
	pCt->regmode = RegMode;
	pCt->regcount = RegCount;
	pCt->busy = 0;
	ct_gate(pCt, 0);
}

void ct_configure( pCounter_t pCt, unsigned long Mode, unsigned long Clock, unsigned long Gate )
{
	unsigned long config;
	pCt->clock = Clock;
	pCt->gate = Gate;
	pCt->mode = Mode;
	writel(Mode, pCt->regmode);
	config = ((Gate<<1) | (Clock)) & 0x07;
	writel(config, pCt->regcfg);
}

long ct_read( pCounter_t pCt )
{
	return (readl(pCt->regcount) & 0x00ffffff);
}

void ct_write( pCounter_t pCt, unsigned long Value )
{
	writel(Value, pCt->regcount);
}

void ct_gate( pCounter_t pCt, unsigned long Gate )
{
	ct_configure(pCt, pCt->mode, pCt->clock, Gate);
}

/**
 * End of File
 */
