/*******************************************************************************
 *                 Eagle Technology - Cape Town, South Africa
 *             Copyright (C) 2004 - 2005 - All Rights Reserved!
 *                 www.eagledaq.com - eagle@eagle.co.za
 *******************************************************************************
 *
 * ct.h -- Counter / Timer Interface Header File
 *
 *******************************************************************************
 *                              LICENSE AGREEMENT
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 ******************************************************************************/
#ifndef _CT_H_
#define _CT_H_

struct Counter_t
{
	unsigned char busy;
	unsigned char mode;
	unsigned char clock;
	unsigned char gate;
	void *regcfg;
	void *regcount;
	void *regmode;
};
#define pCounter_t struct Counter_t*

void ct_init( pCounter_t pCt, void *RegConfig, void *RegMode, void *RegCount );
void ct_write( pCounter_t pCt, unsigned long Value );
long ct_read( pCounter_t pCt );
void ct_configure( pCounter_t pCt, unsigned long Mode, unsigned long Clock, unsigned long Gate );
void ct_gate( pCounter_t pCt, unsigned long Gate );

#endif /* _CT_H_ */
/** 
 * End of File
 */

