/*******************************************************************************
 *                 Eagle Technology - Cape Town, South Africa
 *             Copyright (C) 2004 - 2005 - All Rights Reserved!
 *                 www.eagledaq.com - eagle@eagle.co.za
 *******************************************************************************
 *
 * da8802.h -- Calibration DAC DA8802 header file
 *
 *******************************************************************************
 *                              LICENSE AGREEMENT
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 ******************************************************************************/
#ifndef _DAC8802_H_
#define _DAC8802_H_

#define DAC_OFFSET		0x00000060l
#define DAC_LOW			0xffffc3ffl
#define DAC_CLK			0x00002000l
#define DAC_CS			0x00000800l
#define DAC_RST			0x00001000l
#define DAC_SDI			0x00000400l

struct CalDac_t
{
	void *reg;
};
#define pCalDac_t struct CalDac_t*

void caldac_init( pCalDac_t pdac, void *Register );
long caldac_write( pCalDac_t pdac, long pos, long val );
void caldac_writebit( pCalDac_t pdac, int val );
void caldac_enable( pCalDac_t pdac );
void caldac_disable(pCalDac_t pdac );
void caldac_reset( pCalDac_t pdac );

#endif /*_DAC8802_H_*/

/**
 * End of File
 */


