/*******************************************************************************
 *                 Eagle Technology - Cape Town, South Africa
 *             Copyright (C) 2004 - 2005 - All Rights Reserved!
 *                 www.eagledaq.com - eagle@eagle.co.za
 *******************************************************************************
 *
 * dac.h -- D/A Interface Header File
 *
 *******************************************************************************
 *                              LICENSE AGREEMENT
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 ******************************************************************************/
#ifndef _DAC_H_
#define _DAC_H_

#define DAC_MODE_LOOP 1
#define DAC_MODE_UPDATE 0

struct DAC_t
{
	spinlock_t lock;
	unsigned char busy;
	unsigned long channels;
	unsigned long waterlevel;
	unsigned char isconfig;
	unsigned char load;
	unsigned char mode;
	unsigned char alloc;
	unsigned char startchan;
	unsigned char size;
	unsigned char gate;
	pCounter_t pct;
	void *regchanlist;
	void *regfiforeset;
	void *regwatermark;
};
#define pDAC_t struct DAC_t*

void dac_init( pDAC_t pdac, pCounter_t pCt, void *RegChanList, void *RegFifoReset, void *RegWaterMark );
void dac_update( pDAC_t pdac );
void dac_fiforeset( pDAC_t pdac );
void dac_configure( pDAC_t pdac, long src, long clk, long gate, long freq, long cont );
void dac_setalloc( pDAC_t pdac, long val );
void dac_setsize( pDAC_t pdac, long val );
void dac_setstartchan( pDAC_t pdac, long chan );
void dac_enable( pDAC_t pdac );
void dac_disable( pDAC_t pdac );
void dac_setwaterlevel( pDAC_t pdac, long value );
long dac_getwaterlevel( pDAC_t pdac );
long dac_isbusy( pDAC_t pdac );
long dac_getmode( pDAC_t pdac );

#endif /*_DAC_H*/
/**
 * End of File
 */

