/*******************************************************************************
 *                 Eagle Technology - Cape Town, South Africa
 *             Copyright (C) 2004 - 2005 - All Rights Reserved!
 *                 www.eagledaq.com - eagle@eagle.co.za
 *******************************************************************************
 *
 * pci766.h -- main header file
 *
 *******************************************************************************
 *                              LICENSE AGREEMENT
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 ******************************************************************************/
 
#ifndef _PCI766_H_
#define _PCI766_H_
#define DOUBLE_BUFFER_SIZE 8192

struct DeviceInfo_t {
	unsigned long serialnumber;
	unsigned short boardtype;
	unsigned short revision;
	unsigned short year, month, day;
	unsigned short adcchan, dacchan, diochan, cntchan, miochan;
	unsigned long adcfreq, dacfreq;
};
#define pDeviceInfo_t struct DeviceInfo_t*

struct DblBuffer_t {
  void *data;
  unsigned short size;
};
#define pDblBuffer_t struct DblBuffer_t

struct BoardDevice_t {
	spinlock_t lock;
	struct pci_dev *pci_device;
	struct class_device *clsdev;
	int minor;
	void *ptrmem;
	unsigned int membase;
	struct DblBuffer_t dblbuffer;
	struct Buffer_t buffer;
	struct DeviceInfo_t devinfo;
	struct Eeprom_t eeprom;
	struct CalDac_t caldac;
	struct DAC_t dac;
	struct Counter_t ct[2];
	struct Isr_t isr;
	void *regmiscctrl;
	void *regdac0;
	struct kref kref;  
};
#define pBoardDevice_t struct BoardDevice_t*
#endif /* _PCI766_H_*/
/**
 * End of File
 */
