/*******************************************************************************
 *                 Eagle Technology - Cape Town, South Africa
 *             Copyright (C) 2004 - 2005 - All Rights Reserved!
 *                 www.eagledaq.com - eagle@eagle.co.za
 *******************************************************************************
 *
 * pci766inc.h -- PCI766 Include & register definition file
 *
 *******************************************************************************
 *                              LICENSE AGREEMENT
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 ******************************************************************************/
#ifndef _PCI766INC_H_
#define _PCI766INC_H_

#define FIFOSIZE 65536
#define MAX_FREQ 100000
#define BUFFERSIZE 1048576

/**
 * PCI766 Register Offsets
 */
typedef enum {
	REG_COUNTER0_MODE = 0x00000000,
	REG_COUNTER0_COUNT = 0x00000004,
	REG_COUNTER0_CONFIG = 0x00000008,
	REG_COUNTER1_MODE = 0x00000010,
	REG_COUNTER1_COUNT = 0x00000014,
	REG_COUNTER1_CONFIG = 0x00000018,
	REG_DMA_START = 0x00000020,
	REG_DMA_CFG = 0x00000024,
	REG_DMA_CNTRL = 0x00000028,
	REG_CHAN_LIST_CONFIG = 0x00000030,
	REG_WATER_MARK = 0x00000040,
	REG_RESET_FIFO = 0x00000044,
	REG_INTERRUPT_MASK = 0x00000050,
	REG_INTERRUPT_CONTROL = 0x00000054,
	REG_INTERRUPT_STATUS = 0x0000005C,
	REG_MISC_CONTROL = 0x00000060,
	REG_DAC0_PIO = 0x00000080,
	REG_DAC1_PIO = 0x00000084,
	REG_DAC2_PIO = 0x00000088,
	REG_DAC3_PIO = 0x0000008C,
	REG_DAC4_PIO = 0x00000090,
	REG_DAC5_PIO = 0x00000094,
	REG_DAC6_PIO = 0x00000098,
	REG_DAC7_PIO = 0x0000009C,
	REG_DAC8_PIO = 0x000000A0,
	REG_DAC9_PIO = 0x000000A4,
	REG_DAC10_PIO = 0x000000A8,
	REG_DAC11_PIO = 0x000000AC,
	REG_DAC12_PIO = 0x000000B0,
	REG_DAC13_PIO = 0x000000B4,
	REG_DAC14_PIO = 0x000000B8,
	REG_DAC15_PIO = 0x000000BC,
	REG_DAC16_PIO = 0x000000C0,
	REG_DAC17_PIO = 0x000000C4,
	REG_DAC18_PIO = 0x000000C8,
	REG_DAC19_PIO = 0x000000CC,
	REG_DAC20_PIO = 0x000000D0,
	REG_DAC21_PIO = 0x000000D4,
	REG_DAC22_PIO = 0x000000D8,
	REG_DAC23_PIO = 0x000000DC,
	REG_SRAM = 0x000000F0
} PCI766_REGISTERS;

#endif /* _PCI766INC_H_ */
/**
 * End of File
 */
