/*******************************************************************************
 *                 Eagle Technology - Cape Town, South Africa
 *             Copyright (C) 2004 - 2005 - All Rights Reserved!
 *                 www.eagledaq.com - eagle@eagle.co.za
 *******************************************************************************
 *
 * pci76x.h -- Main header file
 *
 *******************************************************************************
 *                              LICENSE AGREEMENT
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 ******************************************************************************/
#ifndef _PCI76X_H_
#define _PCI76X_H_

/**
 * PCI76x Register Offsets
 */
typedef enum {
	PCI76X_REG_DI_PORT = 0x00000000,
	PCI76X_REG_DI_PORT_INT_CFG = 0x00000004,
	PCI76X_REG_DI_PORT_INT_MASK = 0x00000008,
	PCI76X_REG_DI_PORT_INT_STATUS = 0x0000000C,
	PCI76X_REG_OPTO_PORT = 0x00000010,
	PCI76X_REG_OPTO_PORT_INT_CFG = 0x00000014,
	PCI76X_REG_OPTO_PORT_INT_MASK = 0x00000018,
	PCI76X_REG_OPTO_PORT_INT_STATUS = 0x0000001C,
	PCI76X_REG_DO_PORT = 0x00000020,
	PCI76X_REG_RELAY_PORT = 0x00000030,
	PCI76X_REG_EEPROM = 0x00000040,
	PCI76X_REG_OPTO1_PORT = 0x00000050,
	PCI76X_REG_OPTO1_PORT_INT_CFG = 0x00000054,
	PCI76X_REG_OPTO1_PORT_INT_MASK = 0x00000058,
	PCI76X_REG_OPTO1_PORT_INT_STATUS	= 0x0000005C,
	PCI76X_REG_OPTO2_PORT = 0x00000060,
	PCI76X_REG_OPTO2_PORT_INT_CFG = 0x00000064,
	PCI76X_REG_OPTO2_PORT_INT_MASK = 0x00000068,
	PCI76X_REG_OPTO2_PORT_INT_STATUS	= 0x0000006C,
	PCI76X_REG_RELAY1_PORT = 0X00000070
} PCI76x_REGISTERS;

struct DeviceInfo_t {
	unsigned long	serialnumber;
	unsigned short boardtype;
	unsigned short revision;
	unsigned short year, month, day;
	unsigned short adcchan, dacchan, diochan, cntchan, miochan, irqchan;
	unsigned short relay,optoport;
	unsigned char portwidth[4];
};
#define pDeviceInfo_t struct DeviceInfo_t*

struct BoardDevice_t {
	spinlock_t lock;
	struct pci_dev *pci_device;
	struct class_device *clsdev;
	int minor;
	wait_queue_head_t  wait_queue;
	unsigned int membase;
	void* ptrmem;
	int hardwareok;
	unsigned int irq_status;
	unsigned int irq_trigsrc;
	unsigned long irq_received;
	unsigned int irq_cfg;
	unsigned int irq_type;
	unsigned char irq_wait;
	unsigned int irq_trigsrc0;
	unsigned int irq_trigsrc1;
	unsigned int irq_trigsrc2;
	unsigned int irq_trigsrc3;
	struct DeviceInfo_t devinfo;
	struct Eeprom_t eeprom;
	struct kref kref;
};
#define pBoardDevice_t struct BoardDevice_t*

#endif /* _PCI76X_H_ */

/**
 * End of File
 */
