/*******************************************************************************
 *                 Eagle Technology - Cape Town, South Africa
 *             Copyright (C) 2004 - 2005 - All Rights Reserved!
 *                 www.eagledaq.com - eagle@eagle.co.za
 *******************************************************************************
 *
 * pci773.h -- main header file
 *
 *******************************************************************************
 *                              LICENSE AGREEMENT
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 ******************************************************************************/

#ifndef _PCI773_H_
#define _PCI773_H_

#define MAX_DEVICES 4

struct DeviceInfo_t {
	unsigned long serialnumber;
	unsigned short boardtype;
	unsigned short revision;
	unsigned short year, month, day;
	unsigned short adcchan, tmpchan, ambchan, diochan;
	unsigned long adcfreq, dacfreq;
};
#define pDeviceInfo_t struct DeviceInfo_t*

struct CalData_t {
	unsigned long offset[18];
	unsigned long gain[18];
};
#define pCalData_t struct CalData_t*

struct BoardDevice_t {
	spinlock_t lock;
	struct pci_dev *pci_device;
	struct class_device *clsdev;
	int minor;
	wait_queue_head_t wq;
	unsigned int index;
	unsigned int installed;
	unsigned char range;
	void* ptrmem;
	struct DeviceInfo_t devinfo;
	struct Eeprom_t eeprom;
	struct CalData_t caldata;
	struct kref kref;
};
#define pBoardDevice_t struct BoardDevice_t*

#endif /*_PCI773_H_*/

/**
 * End of File
 */
