/*******************************************************************************
 *                 Eagle Technology - Cape Town, South Africa
 *             Copyright (C) 2004 - 2005 - All Rights Reserved!
 *                 www.eagledaq.com - eagle@eagle.co.za
 *******************************************************************************
 *
 * pci800.h -- main header file
 *
 *******************************************************************************
 *                              LICENSE AGREEMENT
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 ******************************************************************************/

#ifndef  _PCI800_H_
#define _PCI800_H_

struct Intel8255_t {
	int mode[2];
	int io[3];
};
#define pIntel8255_t struct Intel8255_t*

struct DeviceInfo_t {
	unsigned long	serialnumber;
	unsigned short boardtype;
	unsigned short revision;
	unsigned short year, month, day;
	unsigned short adcchan, dacchan, diochan, cntchan, miochan, irqchan;
	unsigned short hcport,optoport;
	unsigned long adcfreq, dacfreq;
};
#define pDeviceInfo_t struct DeviceInfo_t*

struct BoardDevice_t {
	spinlock_t lock;
	struct pci_dev *pci_device;
	struct class_device *clsdev;
	wait_queue_head_t  wait_queue;
	int minor;
	unsigned int membase;
	void* ptrmem;
	int hardwareok;
	unsigned int freqreg;
	unsigned int usrreg;
	unsigned int irq_status;
	unsigned int irq_trigsrc;
	unsigned long irq_received;
	unsigned int irq_cfg;
	unsigned int irq_type;
	unsigned char irq_wait;
	long irq_cond;
	struct Intel8255_t ppi[8];
	struct DeviceInfo_t devinfo;
	struct Eeprom_t eeprom;
	struct kref kref;
};
#define pBoardDevice_t struct BoardDevice_t*

#endif /* _PCI800_H_ */
/**
 * End of File
 */
