/************************************************
 * Eagle Technology - Cape Town, South Africa
 * Copyright (c) 2002-2005 - All Rights Reserved!
 * www.eagledaq.com - eagle@eagle.co.za
 * for license agreement see LICENSE file
 ************************************************/
#ifndef _PCI800_INC_H_
#define _PCI800_INC_H_
/**
 * PCI800 Register Offsets
 */
typedef enum
{
	PCI800_REG_INT_MASK		= 0x00010000,
	PCI800_REG_INT_STAT		= 0x00010004,
	PCI800_REG_INT_PORT		= 0x00010008,
	PCI800_REG_INT_CFG		= 0x0001000C,
	PCI800_REG_USR_INPUT	= 0x00010010,
	PCI800_REG_USR_OUTPUT	= 0x00010014,
	PCI800_REG_USR_CFG		= 0x00010018,
	PCI800_REG_FREQ_DIV		= 0x0001001C,
	PCI800_REG_CORE_CFG		= 0x0001002C,
	PCI800_REG_EEPROM		= 0x00010030,
	PCI800_REG_VERSION		= 0x00010034,
	PCI800_REG_INT_CORE		= 0x00018048
} PCI800_REGISTERS;

/**
 * Chip select offsets
 */ 
typedef enum
{
	PCI800_CS0_OFFSET		= 0x00000100,	
	PCI800_CS1_OFFSET		= 0x00000200,
	PCI800_CS2_OFFSET		= 0x00000300,
	PCI800_CS3_OFFSET		= 0x00000400,
	PCI800_CS4_OFFSET		= 0x00000500,
	PCI800_CS5_OFFSET		= 0x00000600,
	PCI800_CS6_OFFSET		= 0x00000700,
	PCI800_CS7_OFFSET		= 0x00000800,
	PCI800_CT0_OFFSET		= 0x00000110
} PCI800_CS_OFFSETS;

/**
 * PCI800 Core Interrupt Bits
 */
typedef enum
{
	PCI800_BIT_INT_STAT		= 0x00000100,
	PCI800_BIT_INT_ENABLE	= 0x00000200
} PCI800_INT_BITS;

/**
 * Interrupt Modes
 */
typedef enum
{
	PCI800_INTMDE_DISABLE = 0,
	PCI800_INTMDE_ENABLE = 1,
	PCI800_INTMDE_NUM = 2
} PCI800_INT_MODES;

/**
 * Interrupt Types
 */
typedef enum
{
	PCI800_INTTYPE_RE = 0,							//Rising Edge
	PCI800_INTTYPE_FE = 1,							//Falling Edge
	PCI800_INTTYPE_NUM = 2
} PCI800_INT_TYPE;


/**
 * Interrupt Source - PCI836
 */
typedef enum
{
	PCI836_INTSRC_PC0 = 0,
	PCI836_INTSRC_PC4 = 1,
	PCI836_INTSRC_OPTO = 2,
	PCI836_INTSRC_NUM = 3
} PCI836_INTSRC;

/**
 * Configuration Modes
 */
typedef enum
{
	CMD_LATCH		= 0,
	CMD_RW_LSB		= 1,
	CMD_RW_MSB		= 2,
	CMD_RW_LSBMSB	= 3,
} CONFIG_COMMANDS;

#endif /*_PCI800_INC_H_*/
/**
 * End of File
 */

