/*******************************************************************************
 *                 Eagle Technology - Cape Town, South Africa
 *             Copyright (C) 2004 - 2005 - All Rights Reserved!
 *                 www.eagledaq.com - eagle@eagle.co.za
 *******************************************************************************
 *
 * usbio.h -- USB I/O header file
 *
 *******************************************************************************
 *                              LICENSE AGREEMENT
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 ******************************************************************************/
#ifndef _USBIO_H_
#define _USBIO_H_
int usbupc_init_endpoints( pUSBuPcDevice_t dev, struct usb_interface *interface
);
int usbupc_bulkxfr( pUSBuPcDevice_t dev, int dir, unsigned char *buffer, int
*size );
int usbupc_bulkpacket( pUSBuPcDevice_t dev, unsigned char *buffer, unsigned int
size );
void usbupc_irq( struct urb *purb, struct pt_regs *regs );
int usbupc_irq_queue( pUSBuPcDevice_t dev );
int usbupc_isoxfr_alloc( struct usb_device *usbdev, pIsoUrb_t pisourb );
void usbupc_isoxfr_dealloc( pIsoUrb_t pisourb );
int usbupc_isoxfr_start( pUSBuPcDevice_t dev );
void usbupc_isoxfr_stop( pUSBuPcDevice_t dev );
static inline void usb_fill_iso_urb( struct urb *urb,
				     struct usb_device *dev,
				     unsigned int pipe,
				     void *transfer_buffer,
				     int buffer_length,
				     usb_complete_t complete,
				     void *context,
				     int number_of_packets,
				     int start_frame,
				     unsigned int transfer_flags				     
				   )
{
	spin_lock_init(&urb->lock);
	urb->dev = dev;
	urb->pipe = pipe;
	urb->transfer_buffer = transfer_buffer;
	urb->transfer_buffer_length = buffer_length;
	urb->actual_length = 0;
	urb->complete = complete;
	urb->context = context;
//	urb->start_frame = start_frame;
	urb->number_of_packets = number_of_packets;
	urb->transfer_flags = transfer_flags;
}
#endif /*_USBIO_H_*/

/**
 * End of File
 */
